# ------------------------------
# bbkeys.rc - bblean 1.16

# Invoke menu:
KeyToGrab(LWIN),		WithModifier(),			WithAction(ExecCommand),	DoThis(@BBCore.showmenu 1 -18 16 menu.rc)
KeyToGrab(RWIN),		WithModifier(),			WithAction(ExecCommand),	DoThis(@BBCore.ShowMenu alt-menu.rc)
KeyToGrab(LWIN),		WithModifier(Ctrl),		WithAction(ExecCommand),	DoThis(@BBCore.showmenu 19 -18 16 APPDATA\Microsoft\Internet Explorer\Quick Launch)

# previously,	alternativ:
KeyToGrab(M),			WithModifier(Win+Ctrl),		WithAction(ExecCommand),			DoThis(@BBCore.ShowMenu root)
KeyToGrab(M),			WithModifier(Win+Shift),	WithAction(ExecCommand),			DoThis(@BBCore.ShowMenu workspaces)

# Workspaces:
KeyToGrab(Num1),		WithModifier(Win),		WithAction(Workspace1)
KeyToGrab(Num2),		WithModifier(Win),		WithAction(Workspace2)
KeyToGrab(Num3),		WithModifier(Win),		WithAction(Workspace3)
KeyToGrab(Num4),		WithModifier(Win),		WithAction(Workspace4)
KeyToGrab(Num5),		WithModifier(Win),		WithAction(Workspace5)
KeyToGrab(Num6),		WithModifier(Win),		WithAction(Workspace6)
KeyToGrab(Up),			WithModifier(Win),		WithAction(PrevWorkspace)
KeyToGrab(Down),		WithModifier(Win),		WithAction(NextWorkspace)
KeyToGrab(Left),		WithModifier(Win),		WithAction(PrevWindow)
KeyToGrab(Right),		WithModifier(Win),		WithAction(NextWindow)
#KeyToGrab(Up),			WithModifier(Win),		WithAction(PrevWindowAllWorkspaces)
#KeyToGrab(Down),		WithModifier(Win),		WithAction(NextWindowAllWorkspaces)
#KeyToGrab(Up),			WithModifier(Win),		WithAction(MoveWindowLeft)
#KeyToGrab(Down),		WithModifier(Win),		WithAction(MoveWindowRight)
KeyToGrab(G),			WithModifier(Win),		WithAction(GatherWindows)

# Windows:
KeyToGrab(X),			WithModifier(Win),		WithAction(MaximizeWindow)
KeyToGrab(V),			WithModifier(Win),		WithAction(MaximizeVertical)
KeyToGrab(H),			WithModifier(Win),		WithAction(MaximizeHorizontal)
KeyToGrab(Y),			WithModifier(Win),		WithAction(RestoreWindow)
KeyToGrab(N),			WithModifier(Win),		WithAction(MinimizeWindow)
KeyToGrab(PageUp),		WithModifier(Win),		WithAction(RaiseWindow)
KeyToGrab(PageDown),		WithModifier(Win),		WithAction(LowerWindow)
KeyToGrab(End),			WithModifier(Win),		WithAction(ShadeWindow)
KeyToGrab(Insert),		WithModifier(Win),		WithAction(StickWindow)
KeyToGrab(Delete),		WithModifier(Win),		WithAction(CloseWindow)

# Blackbox
#KeyToGrab(R),			WithModifier(Win+Ctrl),		WithAction(Reconfigure)
KeyToGrab(R),			WithModifier(Win+Ctrl),		WithAction(ExecCommand)		DoThis(@Script [@BBCore.reconfig | @BBCore.restart])
KeyToGrab(R),			WithModifier(Ctrl+Alt),		WithAction(ExecCommand)		DoThis(run.exe)
KeyToGrab(R),			WithModifier(Win+Alt),		WithAction(Restart)
KeyToGrab(Q),			WithModifier(Win),		WithAction(Quit)
KeyToGrab(M),			WithModifier(Win),		WithAction(EditMenu)
KeyToGrab(P),			WithModifier(Win),		WithAction(EditPlugins)
KeyToGrab(S),			WithModifier(Win),		WithAction(EditStyle)
KeyToGrab(S),			WithModifier(Win+Ctrl),		WithAction(AboutStyle)
KeyToGrab(P),			WithModifier(Win+Ctrl),		WithAction(TogglePlugins)
KeyToGrab(B),			WithModifier(Win),		WithAction(ExecCommand)	DoThis(@BBCore.edit plugins\bbinterfacemod\bbinterface.rc)
KeyToGrab(K),			WithModifier(Win),		WithAction(ExecCommand)	DoThis(@BBCore.edit plugins\bbkeys\bbkeys.rc)
KeyToGrab(C),			WithModifier(Win+Alt),		WithAction(ExecCommand)			DoThis(@BBInterface Module Toggle utpanel)
#KeyToGrab(T),			WithModifier(Win),		WithAction(ToggleTray)

# System
KeyToGrab(F10),			WithModifier(Win),		WithAction(Logoff)
KeyToGrab(),			WithModifier(Win),		WithAction(Logoff)
KeyToGrab(F11),			WithModifier(Win),		WithAction(Reboot)
KeyToGrab(F12),			WithModifier(Win+Alt),		WithAction(Suspend)
KeyToGrab(F12),			WithModifier(Win+Ctrl),		WithAction(Hibernate)
KeyToGrab(F12),			WithModifier(Win),		WithAction(Shutdown)
KeyToGrab(R),			WithModifier(Win),		WithAction(Run)

# Extern commands:
KeyToGrab(1),			WithModifier(Win),		WithAction(ExecCommand),	DoThis(cmd.exe)
KeyToGrab(E),			WithModifier(Win),		WithAction(ExecCommand),	DoThis(D:\M\alas\gement\seez\SeeZ.exe)
KeyToGrab(Pause),		WithModifier(Win),		WithAction(ExecCommand),	DoThis(control.exe sysdm.cpl)
KeyToGrab(Home),		WithModifier(Win),		WithAction(ExecCommand),	DoThis(docs\bblean.htm)

KeyToGrab(D),			WithModifier(Win),		WithAction(ExecCommand),	DoThis(@BBCore.ShowMenu DESKTOPDIRECTORY|COMMON_DESKTOPDIRECTORY)
KeyToGrab(D),			WithModifier(Win+Ctrl),		WithAction(ExecCommand),	DoThis(control.exe desk.cpl)